'use strict';

const path = require('path');

/**
 * 根据不同的操作系统，对传入的路径做一些兼容性的处理
 * @param p
 */
function formatPath(p) {
  if (p && typeof p === 'string') {
    const sep = path.sep; // 获取当前系统路径内部的分隔符，比如说macOs的分隔符就是 / ，windows上面的就是 \

    if (sep === '/') {
      return p;
    } else {
      return p.replace(/\\/g, '/');
    }
  }
  return p;
}

module.exports = formatPath;
